/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.cxf.fediz.service.idp.rest;

import java.util.Collection;

import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlRootElement;

import org.apache.cxf.fediz.service.idp.domain.Entitlement;

@XmlRootElement(name = "entitlements", namespace = "http://org.apache.cxf.fediz/")
public class Entitlements {

    private Collection<Entitlement> entitlements;

    public Entitlements() {
    }

    public Entitlements(Collection<Entitlement> entitlements) {
        this.entitlements = entitlements;
    }

    @XmlElementRef
    public Collection<Entitlement> getEntitlements() {
        return entitlements;
    }

    public void setEntitlements(Collection<Entitlement> entitlements) {
        this.entitlements = entitlements;
    }
}